Developers Program

item_group_all_active

Response fields

{
"itemGroupId" : "string",
"itemGroupType" : "string",
"title" : "string",
"image" : "Image",
}

Response field descriptions

Output container/fieldTypeDescription
itemGroupIdstring

The identifier of the item group.

Occurrence: Always

itemGroupTypestring

The type of the item group, whose items differ by aspects such as color, size, or storage capacity. Currently supported value: SELLER_DEFINED_VARIATIONS (a group created by the seller). Consumers should gracefully handle future values.

Occurrence: Conditional

titlestring

The title of the listing. This title can be created by the seller, or it may be the title used by an eBay catalog product if the seller listed the product based off of an eBay catalog product.

Note that if a listing title has special characters in it, such as double quote marks, you may see a backslash character to escape these special characters.

Max length: 80 characters (not including escape characters).

Occurrence: Always

variesByLocalizedAspectsarray of TypedNameValue

The distinct variation trait names for the item group, sorted deterministically.

For more information about the child fields of this array, see the TypedNameValue type definition.

Occurrence: Conditional

imageImage

The primary image for the listing.

For more information about this complex type and its child fields, see the Image type definition.

Occurrence: Conditional

additionalImagesarray of Image

Additional images for the listing, beyond the primary image.

For more information about the child fields of this array, see the Image type definition.

Occurrence: Conditional

imageAlteringProhibitedboolean

A boolean that indicates whether the image(s) can be altered on a listing. If the value is true, you cannot modify the image(s) on a listing.

Occurrence: Always